Subject: Re: [PATCH] rev-parse: fix mismatch quoting of separator in the message

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Wed, 22 Sep 2021 21:59:51 +0200

On Wed, Sep 22 2021, Taylor Blau wrote:

> On Wed, Sep 22, 2021 at 12:28:22PM -0700, Junio C Hamano wrote:
>> Taylor Blau <[email-masked]> writes:
>>
>> > On Wed, Sep 22, 2021 at 06:17:45PM +0700, Bagas Sanjaya wrote:
>> >> There is a quoting mismatch quoting `--` separator in "no usage string
>> >> given...." message (`' instead of ``). Fix it.
>> >
>> > For what it's worth, I think that the `' style is typographic, since the
>> > pair look like English "smart quotes" (as opposed to straight quotes). I
>> > have no opinion about which is better, but I don't think the pre-image
>> > was necessarily a mistake.
>>
>> I thought that we try to avoid "smart quotes" in our messages.
>
> I think UTF-8 smart quotes are generally frowned upon in source code,
> but I didn't think we had any hard-and-fast rule about whether to prefer
> 'this' to `that' (for what it's worth, I prefer the former and it seems
> to be more common).

No comment on what's preferred, other than I wish we'd pick a style and
stick to it. Just a note that this used to be the way to do it in
e.g. the GNU guidelines, I see it isn't anymore though: [1].

1. https://www.gnu.org/prep/standards/standards.html#Quote-Characters-1